<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="#">Click & Clean</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link " routerLink="../principal">Inicio </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../empleados">Empleados</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="../contratos">Contratos</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link active" routerLink="../servicios">Servicios
        </a>
      </li>
    </ul>
    <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
        style="margin-left: 10px;">Registrarse</button>
    </ng-template>
    <ng-template #cuenta>
      <span class="usuario-menu">{{user.nombre_usuario}}</span>
      <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
    </ng-template>
  </div>
</nav>
<!--/.Navbar-->

<section class="bg-light first-section">
  <div class="container">
    <button mat-raised-button color="primary" style="float: right; margin-top: 20px;" (click)="mostrarNuevoServicio()">Agregar Servicio</button>
    <ng-template [ngIf]="servicios!=null">
      <mat-form-field class="filter">
        <mat-label>Filtro</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input>
      </mat-form-field>
      <table mat-table [dataSource]="dataSource" multiTemplateDataRows class="mat-elevation-z8"
        style="    overflow-x: auto;">
        <ng-container matColumnDef="{{column}}" *ngFor="let column of columnsToDisplay">
          <th mat-header-cell *matHeaderCellDef> {{column}} </th>
          <td mat-cell *matCellDef="let element"> {{element[column]}} </td>
        </ng-container>

        <!-- Expanded Content Column - The detail row is made up of this one column that spans across all columns -->

        <ng-container matColumnDef="expandedDetail">
          <td mat-cell *matCellDef="let element" [attr.colspan]="columnsToDisplay.length">
            <div class="table-detail" [@detailExpand]="element == expandedElement ? 'expanded' : 'collapsed'">
              <div class="table-diagram">
                <div class="table-buttons">
                  <img [src]="servidor+'/imagenes/'+element.imagen_servicio" class="table-imagen">
                </div>
              </div>
              <div class="table-description">
                Descripción: {{element.caracteristicas_servicio}}<br>
                <div class="table-buttons">
                  <button mat-raised-button color="primary"
                    (click)="getDetalleServicios(element.id_servicio,element)">Editar</button>
                  <ng-template [ngIf]="element.habilitado">
                    <button mat-raised-button color="warn"
                      (click)="habilitarServicio(element.id_servicio)">Deshabilitar</button>
                  </ng-template>
                  <ng-template [ngIf]="!element.habilitado">
                    <button mat-raised-button color="primary"
                      (click)="habilitarServicio(element.id_servicio)">Habilitar</button>
                  </ng-template>
                </div>

              </div>
            </div>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr mat-row *matRowDef="let element; columns: columnsToDisplay;" class="table-row"
          [class.example-expanded-row]="expandedElement === element"
          (click)="expandedElement = expandedElement === element ? null : element">
        </tr>
        <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="example-detail-row"></tr>
      </table>
    </ng-template>

    <div class="modal " id="myModal" [style.display]="showModalServicio ? 'block' : 'none'">
      <div class="modal-dialog big-modal">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Detalles del Servicio</h5>
            <button type="button" class="close" aria-label="Close" (click)="cerrarModalServicio()">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <ng-template [ngIf]="!editarServicio" [ngIfElse]="editServ">
              <ng-template [ngIf]="!agregarHabilidad" [ngIfElse]="agregar">
                <ng-template [ngIf]="detalleServicio!=null">
                  <h2>Total: ${{total | number: '0.2-2'}}</h2>
                  <div *ngFor="let habilidad of detalleServicio">
                    <mat-card style="margin-top: 5px;">
                      <mat-card-title>{{habilidad.nombre_habilidad}}</mat-card-title>
                      <mat-card-content>
                        <span>Costo: ${{habilidad.precio_habilidad | number: '0.2-2'}}</span><br>
                        <span>Descripción: {{habilidad.descripcion_habilidad}}</span><br>
                        <div class="table-buttons">
                          <button type="button" mat-raised-button color="primary"
                            (click)="mostrarEditarHabilidad(habilidad)">Editar</button>
                          <button type="button" mat-raised-button color="warn" style="margin-right: 0px;"
                            (click)="eliminarHabilidad(habilidad.id_habilidad)">Eliminar</button>
                        </div>
                        <ng-template [ngIf]="editarHabildad && id_edicionHabilidad==habilidad.id_habilidad">
                          <form method="POST" class="appointment-form" id="frmEditar"
                            [formGroup]="FormGroupEditaHabilidad" (ngSubmit)="editarHabilidad(FormGroupEditaHabilidad)">

                            <div class="form-group-1">
                              <div class="row">
                                <div class="col-12 col-md-8">
                                  <mat-form-field style="width: 100%;">
                                    <mat-label>Nombre</mat-label>
                                    <input matInput formControlName="nombre_habilidad" id="nombre_habilidad"
                                      placeholder="Ex. Servicio limpieza" required>
                                  </mat-form-field>
                                </div>
                                <div class="col-12 col-md-4">
                                  <mat-form-field style="width: 100%;">
                                    <mat-label>Precio</mat-label>
                                    <span matPrefix>$&nbsp;</span>
                                    <input matInput formControlName="precio_habilidad" id="precio_habilidad"
                                      placeholder="Ex. 198.5" required>
                                  </mat-form-field>
                                </div>
                                <div class="col-12 ">
                                  <mat-form-field style="width: 100%;">
                                    <mat-label>Descripción</mat-label>
                                    <textarea rows="3" matInput formControlName="descripcion_habilidad"
                                      id="descripcion_habilidad" placeholder="Ex. Limpiamos mesas pisos..."
                                      required></textarea>
                                  </mat-form-field>
                                </div>

                              </div>

                            </div>
                            <div class="form-submit">
                              <button type="submit" mat-raised-button color="accent">Editar
                                Habilidad</button>
                            </div>
                          </form>
                        </ng-template>
                      </mat-card-content>
                    </mat-card>

                  </div>
                </ng-template>
              </ng-template>

              <ng-template #agregar>
                <form method="POST" class="appointment-form" id="frmRegister" [formGroup]="FormGroupRegister"
                  (ngSubmit)="registrarHabilidad(FormGroupRegister)">
                  <h2>Registrars Habilidad Nueva</h2>

                  <div class="form-group-1">
                    <div class="row">
                      <div class="col-12 col-md-8">
                        <mat-form-field style="width: 100%;">
                          <mat-label>Nombre</mat-label>
                          <input matInput formControlName="nombre" id="nombre" placeholder="Ex. Servicio limpieza"
                            required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field style="width: 100%;">
                          <mat-label>Precio</mat-label>
                          <span matPrefix>$&nbsp;</span>
                          <input matInput formControlName="precio" id="precio" placeholder="Ex. 198.5" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 ">
                        <mat-form-field style="width: 100%;">
                          <mat-label>Descripción</mat-label>
                          <textarea rows="3" matInput formControlName="descripcion" id="descripcion"
                            placeholder="Ex. Limpiamos mesas pisos..." required></textarea>
                        </mat-form-field>
                      </div>

                    </div>

                  </div>
                  <div class="form-submit">
                    <button type="submit" mat-raised-button color="accent" style="float: right;">Registrar
                      Habilidad</button>
                  </div>
                </form>

                <div class="col-12">
                  <h2>Agregar habilidad creada:</h2>
                  <ng-container *ngFor="let check of checkList">
                    <mat-checkbox [(ngModel)]="check.check" (change)="checkHabilidad(check.id_habilidad)">
                      {{check.nombre_habilidad}} &nbsp; ${{check.precio_habilidad | number: '0.2-2'}}
                    </mat-checkbox><br>
                  </ng-container>

                </div>
              </ng-template>
            </ng-template>
            <ng-template #editServ>
              <h2>Editar Servicio</h2>
              <div class="row">
                <div class="col-4">
                  <label for="file1" style="display: flex;">
                    <ng-template [ngIf]="imgURL1!=null" [ngIfElse]="imgpred1">
                      <img [src]="imgURL1" alt="assets/images/fondo1.jpg" style="width: 100%;">
                    </ng-template>
                    <ng-template #imgpred1>
                      <img [src]="servidor+'/imagenes/'+imagen_servicio" style="width: 100%;">
                    </ng-template>
  
                  </label>
                  <input type="file" id="file1" accept="image/x-png,image/jpeg,image/jpg"
                    (change)="handleFileInput($event.target.files)" hidden>
                </div>
                <div class="col-8">
                  <form method="POST" class="appointment-form" id="frmRegister" [formGroup]="FormGroupEditaServicio"
                (ngSubmit)="editarServ(FormGroupEditaServicio)">
                

                <div class="form-group-1">
                  <div class="row">
                    <div class="col-12 col-md-8">
                      <mat-form-field style="width: 100%;">
                        <mat-label>Nombre</mat-label>
                        <input matInput formControlName="nombre_servicio" id="nombre_servicio" placeholder="Ex. Servicio limpieza"
                          required>
                      </mat-form-field>
                    </div>
                    <div class="col-12 ">
                      <mat-form-field style="width: 100%;">
                        <mat-label>Descripción</mat-label>
                        <textarea rows="3" matInput formControlName="caracteristicas_servicio" id="caracteristica_servicio"
                          placeholder="Ex. Limpiamos mesas pisos..." required></textarea>
                      </mat-form-field>
                    </div>

                  </div>

                </div>
                <div class="form-submit">
                  <button type="submit" mat-raised-button color="primary" style="float: right;">Editar
                    Servicio</button>
                </div>
              </form>
                </div>
              </div>
              
              
            </ng-template>

          </div>
          <div class="modal-footer">
            <button type="button" mat-raised-button color="accent" style="margin-right: 10px;"
              (click)="mostrarEditarServicio()">Editar Descripción servicio</button>
            <button type="button" mat-raised-button color="accent" style="margin-right: 10px;"
              (click)="mostrarAgregar()">Agregar Habilidad</button>
            <button type="button" mat-raised-button color="primary" (click)="cerrarModalServicio()">Cerrar</button>

          </div>
        </div>
      </div>
    </div>

    <div class="modal " id="myModal2" [style.display]="showModalNuevoServicio ? 'block' : 'none'">
      <div class="modal-dialog big-modal">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Nuevo Servicio</h5>
            <button type="button" class="close" aria-label="Close" (click)="cerrarModalNuevoServicio()">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-4">
                <label for="file2" style="display: flex;">
                  <ng-template [ngIf]="imgURL1!=null" [ngIfElse]="imgpred2">
                    <img [src]="imgURL1" alt="assets/images/fondo1.jpg" style="width: 100%;">
                  </ng-template>
                  <ng-template #imgpred2>
                    <img src="assets/images/addImage.png" style="width: 100%;">
                  </ng-template>
  
                </label>
                <input type="file" id="file2" accept="image/x-png,image/jpeg,image/jpg"
                  (change)="handleFileInputNuevo($event.target.files)" hidden>
              </div>
              <div class="col-8">
                <form method="POST" class="appointment-form" id="frmRegister" [formGroup]="FormGroupNuevoServicio"
                (ngSubmit)="nuevoServicio(FormGroupNuevoServicio)">
                

                <div class="form-group-1">
                  <div class="row">
                    <div class="col-12 col-md-8">
                      <mat-form-field style="width: 100%;">
                        <mat-label>Nombre</mat-label>
                        <input matInput formControlName="nombre_servicio" id="nombre_servicio" placeholder="Ex. Servicio limpieza"
                          required>
                      </mat-form-field>
                    </div>
                    <div class="col-12 ">
                      <mat-form-field style="width: 100%;">
                        <mat-label>Descripción</mat-label>
                        <textarea rows="3" matInput formControlName="caracteristicas_servicio" id="caracteristica_servicio"
                          placeholder="Ex. Limpiamos mesas pisos..." required></textarea>
                      </mat-form-field>
                    </div>

                  </div>

                </div>
                <div class="form-submit">
                  <button type="submit" mat-raised-button color="primary" style="float: right;">Agregar
                    Servicio</button>
                </div>
              </form>
              </div>
            </div>
            
            
          </div>
          <div class="modal-footer">
            <button type="button" mat-raised-button color="primary" (click)="cerrarModalNuevoServicio()">Cerrar</button>

          </div>
        </div>
      </div>
    </div>
  </div>
</section>